﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;


namespace SimpleMouseWheel
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            BrowserInformation info = HtmlPage.BrowserInformation;
            string browserInfo = string.Format("Name: {1}{0}Platform: {2}{0}ProductVer: {3}{0}ProductName: {4}{0}", 
                Environment.NewLine, 
                info.Name,
                info.Platform, 
                info.ProductVersion,
                info.ProductName);

            if (info.Platform.Contains("Mac") && !(info.ProductName.Contains("Firefox") && info.ProductVersion.Contains("4.0")))
            {
                readyText.Text = "NOT SUPPORTED (Test can only be performed on FF 4.0 on Mac)";
                readyText.Foreground = new SolidColorBrush(Colors.Red);
            }
            else
            {
                readyText.Text = "Ready";
                readyText.Foreground = new SolidColorBrush(Colors.Black);
            }
            browserText.Text = browserInfo;
        }

        void DoMouseWheel(object sender, MouseWheelEventArgs args)
        {
            
            args.Handled = handledBox.IsChecked.Value;
        }
    }
}
